export declare class Timer {
    private _callback;
    private _timerId;
    private _startTime;
    private _duration;
    private _remaining;
    constructor(_callback: Function, duration: number);
    setDuration(duration: number): void;
    /** starts the timer */
    start(): void;
    /** restarts the timer by setting remaining time to duration. */
    restart(): void;
    pause(): void;
    resume(): void;
    private _onComplete;
    destroy(): void;
}
